# %%global prever b3
%global sum Code coverage testing module for Python
%global desc \
Coverage.py is a Python 3 module that measures code coverage during Python \
execution. It uses the code analysis tools and tracing hooks provided in the \
Python standard library to determine which lines are executable, and which \
have been executed.

Name:           python3-coverage
Summary:        %{sum} 3
Version:        4.0.3
Release:        4%{?dist}
# jquery(MIT):
#  coverage/htmlfiles/jquery.min.js
# MIT or GPL:
#  coverage/htmlfiles/jquery.debounce.min.js
#  coverage/htmlfiles/jquery.hotkeys.js
#  coverage/htmlfiles/jquery.isonscreen.js
License:        ASL 2.0 and MIT and (MIT or GPL)
URL:            http://coverage.readthedocs.org/en/latest/
Source0:        http://pypi.python.org/packages/source/c/coverage/coverage-%{version}%{?prever}.tar.gz
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
# For docs - we're missing sphinxcontrib.spelling though
#BuildRequires:  python-sphinx_rtd_theme
%if 0%{?with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
%endif

%description %{desc}

%if %{python3_pkgversion} != 3
%package -n python%{python3_pkgversion}-coverage
Summary:        %{sum} %{python3_pkgversion}
Group:          System Environment/Libraries
# As the "coverage" executable requires the setuptools at runtime (#556290),
# so the "python3-coverage" executable requires python3-setuptools:
Requires:       python%{python3_pkgversion}-setuptools
Provides:       bundled(js-jquery) = 1.11.1
Provides:       bundled(js-jquery-debounce) = 1.1
Provides:       bundled(js-jquery-hotkeys) = 0.8
Provides:       bundled(js-jquery-isonscreen) = 1.2.0
Provides:       bundled(js-jquery-tablesorter)

%description -n python%{python3_pkgversion}-coverage %{desc}
%endif

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-coverage
Summary:        %{sum} %{python3_other_pkgversion}
Group:          System Environment/Libraries
# As the "coverage" executable requires the setuptools at runtime (#556290),
# so the "python3-coverage" executable requires python3-setuptools:
Requires:       python%{python3_other_pkgversion}-setuptools
Provides:       bundled(js-jquery) = 1.11.1
Provides:       bundled(js-jquery-debounce) = 1.1
Provides:       bundled(js-jquery-hotkeys) = 0.8
Provides:       bundled(js-jquery-isonscreen) = 1.2.0
Provides:       bundled(js-jquery-tablesorter)

%description -n python%{python3_other_pkgversion}-coverage %{desc}
%endif


%prep
%setup -q -n coverage-%{version}%{?prever}

find . -type f -exec chmod 0644 \{\} \;
sed -i 's/\r//g' README.rst


%build
%py3_build
%py3_other_build
#make dochtml


%install
%py3_other_install
%py3_install
rm %{buildroot}/%{_bindir}/coverage


%files -n python%{python3_pkgversion}-coverage
%license LICENSE.txt NOTICE.txt
%doc AUTHORS.txt CHANGES.rst howto.txt README.rst TODO.txt doc/*.rst
%{_bindir}/coverage3
%{_bindir}/coverage-%{python3_version}
%{python3_sitearch}/coverage/
%{python3_sitearch}/coverage*.egg-info/

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-coverage
%license LICENSE.txt NOTICE.txt
%doc AUTHORS.txt CHANGES.rst howto.txt README.rst TODO.txt doc/*.rst
%{_bindir}/coverage-%{python3_other_version}
%{python3_other_sitearch}/coverage/
%{python3_other_sitearch}/coverage*.egg-info/
%endif


%changelog
* Tue Oct 17 2017 Aurelien Bompard <abompard@fedoraproject.org> 4.0.3-4
- Build for python3_other

* Wed Jan 13 2016 Orion Poplawski <orion@cora.nwra.com> - 4.0.3-3
- Note and update license
- Note bundled jquery libraries

* Wed Jan 13 2016 Orion Poplawski <orion@cora.nwra.com> - 4.0.3-2
- Fix and install licenses
- Install docs

* Wed Dec 30 2015 Orion Poplawski <orion@cora.nwra.com> - 4.0.3-1
- Initial EPEL7 package
